@rem ww.bat - convert wordstar (through 4.0) doc file to ms word (4.0)
@rem     zeros high bits, removes non-printing ascii chars, replaces
@rem     strings of blanks with a single blank, gets rid of dot commands,
@rem     gets rid of hard carriage returns except where there are two
@rem     or more in a row to make paragraphs, replaces A.<space> with
@rem     A.<tab> to make it easier to format hanging paragraphs for outlines
@rem author: David H. Wolen
@rem last change: 9/21/89
@rem usage: ww infile outfile
@rem input: wordstar file
@rem output: ms word file

echo off
if "%1"=="" goto :error
if "%2"=="" goto :error
cat -w %1 >temp.1
tr "  " " " <temp.1 >temp.2
findu -x ^. <temp.2 >temp.3
ch ^\s <temp.3 >temp.4
ch [A-Za-Z0-9].\s &\t <temp.4 >temp.5
ch \s\t \t <temp.5 >temp.6
a2w <temp.6 >%2
del temp.?
goto :end
:error
echo Usage: ww wordstar.doc msword.doc
:end
